GNUGK(1)

NAME
gnugk - Open H323 Gatekeeper - The GNU Gatekeeper

SYNOPSIS
gnugk [-hdrt] [-c filename] [-s section] [-i IP] [-l n] [-b n] [-u name] [-d name] [-rr] [-o filename] [--pid filename] [--core n]

DESCRIPTION
The GNU Gatekeeper is an open-source project that implements an H.323 gatekeeper. A H323 gatekeeper controls all H.323 clients in its zone. It allows you, among other things, to register devices, make calls, perform AAA (Authentication, Authorization and Auditing), manage config at runtime and traverse NAT.

OPTIONS
The behavior of the gatekeeper is determined by the command line options and configuration file. Some command line options may override the setting of the configuration file. For example, the option -l overrides the setting TimeToLive in the configuration file. Almost every option has a short and a long format, e.g., -c is the same as --config. Show all available options and quit the program. Specify the configuration file to use. Specify which main section to use in the configuration file. The default is [Gatekeeper::Main]. Specify the interface (IP number) that the gatekeeper listens to. You should leave out this option to let the gatekeeper automatically determine the IP it listens to, unless you want the gatekeeper only binds to a specified IP. Specify the time-to-live timer (in seconds) for endpoint registration. It overrides the setting TimeToLive in the configuration file. See there for detailed explanations. Specify the total bandwidth available for the gatekeeper. Without specifying this option, the bandwidth management is disable by default. Specify the pid file, only valid for Unix version. Run the gatekeeper process as this user. Only valid for Unix versions. (Unix only) Enable writting core dump files when the application crashes. A core dump file will not exceed n bytes in size. A special constant "unlimited" may be used to not enforce any particular limit.

  Gatekeeper Mode
The options in this subsection override the settings in the [RoutedMode] section of the configuration file.

-d --direct
    Use direct endpoint call signalling.

-r --routed
    Use gatekeeper routed call signalling.

-rr --h245routed
    Use gatekeeper routed call signalling and H.245 control channel.

  Debug Information

-o --output filename
    Write trace log to the specified file.

-t --trace
    Set trace verbosity. The more -t you add, the more verbose to output. For example, use -ttttt to set the trace level to 5.

FILES
/etc/gnugk.ini

AUTHORS
The current project coordinator is Jan Willamowius <jan@willamowius.de>

Major contributors include Michal Zygmuntowicz <m.zygmuntowicz@onet.pl>, Chih-Wei Huang <cwhuang@linux.org.tw> and many more.

SEE ALSO
http://www.gnugk.org/ (project homepage)

http://www.gnugk.org/gnugk-manual.html (manual for latest release)